import { Service } from '@/Service/Service';
/*****项目接口*****/
class PlanService {
	private static GetPlanListPath : string = '/api/Plan/GetPlanList';
	/*****计划列表接口*****/
	static GetPlanList( planType:string, page:string) {
		var result = Service.Request(this.GetPlanListPath, "GET", { planType, page});
		return result;
	}
	
	private static GetPlanInfoPath : string = '/api/Plan/GetPlanInfo';
	/*****计划详情接口*****/
	static GetPlanInfo(planId:string) {
		var result = Service.Request(this.GetPlanInfoPath, "GET", {planId});
		return result;
	}
	
	
	private static AddPlanPath : string = '/api/Plan/AddPlan';
	/*****添加修改计划接口*****/
	static AddPlan(data:any) {
		var result = Service.Request(this.AddPlanPath, "POST", data);
		return result;
	}
	
	
	private static DeletePlanPath : string = '/api/Plan/DeletePlan';
	/*****删除计划接口*****/
	static DeletePlan(planId:string) {
		var result = Service.Request(this.DeletePlanPath, "POST", { planId});
		return result;
	}
	
	
	
	private static GetNoSelectStudentPath : string = '/api/Plan/GetNoSelectStudent';
	/*****查询项目分组未选择的学生接口*****/
	static GetNoSelectStudent(planId:string) {
		var result = Service.Request(this.GetNoSelectStudentPath, "GET", { planId});
		return result;
	}
	
	
	private static UpdateGroupStudentPath : string = '/api/Plan/UpdateGroupStudent';
	/*****修改分组学生学生接口*****/
	static UpdateGroupStudent(data:any) {
		var result = Service.Request(this.UpdateGroupStudentPath, "POST", data);
		return result;
	}
	
	
	private static AddStudentToGroupPath : string = '/api/Plan/AddStudentToGroup';
	/*****添加分组学生接口*****/
	static AddStudentToGroup(data:any) {
		var result = Service.Request(this.AddStudentToGroupPath, "POST", data);
		return result;
	}
	
	
	private static RemoveStudentFromGroupPath : string = '/api/Plan/RemoveStudentFromGroup';
	/*****从分组中删除学生接口*****/
	static RemoveStudentFromGroup(data:any) {
		var result = Service.Request(this.RemoveStudentFromGroupPath, "POST", data);
		return result;
	}
	
	private static AddPlanLogPath : string = '/api/Plan/AddPlanLog';
	/*****添加记录接口*****/
	static AddPlanLog(planId:string,planType:string,timingEvents:string,subsection:string,baogan:string) {
		var result = Service.Request(this.AddPlanLogPath, "POST", {planId,planType,timingEvents,subsection,baogan });
		return result;
	}
	
	private static GetPlanListNoPagePath : string = '/api/Plan/GetPlanListNoPage';
	/*****不分页项目接口*****/
	static GetPlanListNoPage(planType:string) {
		var result = Service.Request(this.GetPlanListNoPagePath, "GET", {planType});
		return result;
	}
	
	
	private static GetBaoganLogPath : string = '/api/Plan/GetBaoganLog';
	/*****包干数据接口*****/
	static GetBaoganLog(data:any) {
		var result = Service.Request(this.GetBaoganLogPath, "GET", data);
		return result;
	}
	
	
	private static GetJishiLogPath : string = '/api/Plan/GetJishiLog';
	/*****计时数据接口*****/
	static GetJishiLog(data:any) {
		var result = Service.Request(this.GetJishiLogPath, "GET", data);
		return result;
	}
	
	
	private static GetQuxianLogPath : string = '/api/Plan/GetQuxianLog';
	/*****曲线数据接口*****/
	static GetQuxianLog(data:any) {
		var result = Service.Request(this.GetQuxianLogPath, "GET", data);
		return result;
	}
	
	
	private static GetFenduanLogPath : string = '/api/Plan/GetFenduanLog';
	/*****分段接口*****/
	static GetFenduanLog(data:any) {
		var result = Service.Request(this.GetFenduanLogPath, "GET", data);
		return result;
	}
	
	
	private static GetRankDataPath : string = '/api/Plan/GetRankData';
	/*****成绩排名接口*****/
	static GetRankData(planId:string) {
		var result = Service.Request(this.GetRankDataPath, "GET", {planId });
		return result;
	}
	
	
}
export {
	Service,
	PlanService
}